<script>

$(function () {
	
	$('#baserole').datagrid({
		url : '<?php echo $url?>base/role/get_role',
		fit : true,
		fitColumns : true,
		striped : true,
		rownumbers : true,
		border : false,
		toolbar : '#role_tool',
        singleSelect:true,  
        fitColumns: false,
        onLoadSuccess: function(data) {           
            $.each(data.rows, function(i, n){
        		if(n.role_nav_button_rang == "all"){
             		$('input[name="role_id"]').each(function(){
            			  if(n.role_id == $(this).val()){
            			  		$(this).prop("disabled",true);
            			  }
                	})  
        		}
          	});

            var s = $("#baserole").datagrid('getPanel');
            var rows = s.find('tr.datagrid-row'); 
            var rows1 = s.find('tr.datagrid-row td[field!=role_id]');
            rows1.unbind('click').bind('click',function(e){
                   return false;
            });
      	
        },        
		columns : [[
			{
				field : 'role_id',
				title : '自动编号',
				width : 100,
				checkbox : true,
			},
			{
				field : 'role_name',
				title : '名称',
				width : 100,
			},
			{
				field : 'role_nav_button_rang',
				title : '范围',
				width : 800,
			}								
		]]
	});
	


	role_tool = {
		reload : function () {
			$('#baserole').datagrid('reload');
		},
		remove : function () {
			$('#baserole').datagrid('unselectAll');
		},
		<?php foreach ($button as $item): ?>
		<?php if($item->button_way=='add'){ ?>					
		add : function () {
			if ($('#tabs').tabs('exists', '添加角色')) {
				$('#tabs').tabs('select', '添加角色');
			} else {
 		      	$('#tabs').tabs('add', {
				title : '添加角色',
				closable : true,
				href : '<?php echo $url?>base/role/add_view',
				});
			}
		},
		<?php }?>
		<?php if($item->button_way=='edit'){ ?>			
		edit : function () {
			var rows = $('#baserole').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '编辑记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
   				if ($('#tabs').tabs('exists', '修改角色')) {
					$('#tabs').tabs('select', '修改角色');
				} else {
	 		      	$('#tabs').tabs('add', {
					title : '修改角色',
					closable : true,
					href : '<?php echo $url?>base/role/edit_view/'+rows[0].role_id,
					});
				}
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '编辑记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
	    <?php endforeach; ?>		
	};
	
});
</script>
<table id="baserole"></table>

<div id="role_tool" style="padding:5px;">
	<div style="margin-bottom:5px;">
	<?php foreach ($button as $item): ?>
    	<a href="#" class="easyui-linkbutton" iconCls="icon-<?=$item->button_icon?>" plain="true" onclick="role_tool.<?=$item->button_way ?>()"><?php echo $item->button_name?></a>
    <?php endforeach; ?>
		<a href="#" class="easyui-linkbutton" iconCls="icon-reload" plain="true"  onclick="role_tool.reload();">刷新</a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="role_tool.remove();">取消选择</a>		
	</div>
</div>

